BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


%define gcj_support 0

Name: ecj
Epoch: 0
Version: 3.3.1.1
Release: alt1_1jpp1.7
Summary: Eclipse Compiler for Java

Group: Development/Java
License: EPL
URL: http://www.eclipse.org
# this tarball is generated by a script that uses the original eclipse sources
# script is included for documentation purposes in the docdir of the package
Source0: %{name}-%{version}.tar.gz
# this is the changelog from the original JPackage eclipse package that is
# included for documentation and recognition purposes only
Source1: eclipse-jpackage-changelog.txt
%if ! %{gcj_support}
BuildArch: noarch
%endif

BuildRequires: ant
BuildRequires: jpackage-utils >= 0:1.7
%if %{gcj_support}
BuildRequires: gcc-java >= 4.0.0
Requires: libgcj >= 4.0.0
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%else
BuildRequires: %{__sed}
%endif

%description
Eclipse Compiler for Java

%prep
%setup -q

%build
%{__cp} %{SOURCE1} .
unset CLASSPATH
%if %{gcj_support}
    for f in `find -name '*.java'`; do
        gcj -Wno-deprecated -C $f
    done
    find . \( -name '*.class' -o -name '*.properties' -o -name '*.rsc' \) \
        | xargs jar cf %{name}-%{version}.jar
%else
    # remove -Xlint:none from javac compiler arguments as it causes
    # Sun Java 1.4.2 to crap out
    %{__sed} -i -e 's,-Xlint:none ,,g' jdtcoresrc/compilejdtcorewithjavac.xml
    # first invocation builds with javac, second time around with ecj itself
    ant -f jdtcoresrc/compilejdtcorewithjavac.xml
    CLASSPATH="`pwd`/jdtcoresrc/%{name}.jar" \
        ant -f jdtcoresrc/compilejdtcore.xml
    # just to make sure there is no confusion, delete the bootstrap ecj jar
    %{__rm} jdtcoresrc/%{name}.jar
%endif

%install
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_javadir}
%{__install} -m 0644 %{name}.jar \
    ${RPM_BUILD_ROOT}%{_javadir}/%{name}-%{version}.jar
pushd ${RPM_BUILD_ROOT}%{_javadir}
    %{__ln_s} %{name}-%{version}.jar %{name}.jar
popd
%if %{gcj_support}
    aot-compile-rpm
%endif

%clean

%if %{gcj_support}
%post
if [ -x "%{_bindir}/rebuild-gcj-db" ]; then
    %{_bindir}/rebuild-gcj-db
fi

%postun
if [ -x "%{_bindir}/rebuild-gcj-db" ]; then
    %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%doc eclipse-jpackage-changelog.txt %{name}-tarballBuild.sh
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}
%endif

%changelog
* Tue Feb 12 2008 Igor Vlasenko <viy@altlinux.ru> 0:3.3.1.1-alt1_1jpp1.7
- updated to new jpackage release

* Tue Jul 31 2007 Igor Vlasenko <viy@altlinux.ru> 0:3.3-alt1_1jpp1.7
- updated to new jpackage release

* Sat May 19 2007 Igor Vlasenko <viy@altlinux.ru> 0:3.2.2-alt1_3jpp1.7
- converted from JPackage by jppimport script

